Skip to navigation

Delete a training policy.

View as Markdown
Use to delete a training policy for a given organizational unit.

Authentication

AuthorizationBearer
Bearer authentication

Query parameters

scopeenumRequired
The scope that the policy relates to.
Allowed values:
departmentIdstringOptional
Filter using the department id.
projectIdstringOptional
project id to filter by
clusterIdstringOptionalformat: "uuid"

Filter using the Universally Unique Identifier (UUID) of the cluster.

approveClusterDeletionbooleanOptional
Required when modifying or deleting a policy if the tenant includes one or more clusters running version 2.20 or earlier. In such cases, the platform must delete the policy from the affected clusters. This flag indicates that the administrator approves this deletion.

Response

The policy was deleted successfully.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
503
Service Unavailable Error